/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { FormBuilder } from '@angular/forms';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { CategoryService, PinboardInteractionService, PinboardModule } from '@bci-web-core/pinboard';

import { MyOwnWidgetContentComponent } from './my-own-widget-content.component';

describe('MyOwnWidgetContentComponent', () => {
  let component: MyOwnWidgetContentComponent;
  let fixture: ComponentFixture<MyOwnWidgetContentComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        declarations: [MyOwnWidgetContentComponent],
        imports: [NoopAnimationsModule, PinboardModule],
        providers: [PinboardInteractionService, FormBuilder, CategoryService],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(MyOwnWidgetContentComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
